<?php
//indique que le type de la réponse renvoyée au client sera du Texte
header("Content-Type: text/plain ; charset=utf-8");
//anti Cache pour HTTP/1.1
header("Cache-Control: no-cache , private");
//anti Cache pour HTTP/1.0
header("Pragma: no-cache");
//simulation du  temps d'attente du serveur (2 secondes)
sleep(2);
//recuperation du parametre nom
if(isset($_REQUEST['nom'])) $nom=$_REQUEST['nom'];
else $nom="inconnu";
//recuperation du parametre ID
if(isset($_REQUEST['ID'])) $ID=$_REQUEST['ID'];
else $ID=0;
//calcul du nouveau gain entre 0 et 100 Euros
$gain =  rand(0,100);
//récup des paramètres de connexion Mysql : $connexionMysql 
require_once('connexionMysql.php');
//Sélection de la base de données
mysql_select_db($base);
//Création et envoi de la requête SQL
$commandeSQL="INSERT INTO gains SET montant='".$gain."', joueursID='".$ID."' ";
//echo $commandeSQL;
$reponseSQL = mysql_query($commandeSQL);//renvoi 1 si l'insertion est effectuée
//echo "reponse sql=".$reponseSQL;
//mise en forme le résultat avec le nom 
$resultat=$nom.':'.$gain.':'.$reponseSQL;
//envoi de la réponse à la page HTML
echo $resultat ;
?>